Subject: bug#45200: [PATCH] Force Glibc to free the memory freed

From: DJ Delorie <[email-masked]>
Date: Wed, 03 Feb 2021 16:00:38 -0500

Eli Zaretskii <[email-masked]> writes:
> Which other knobs are there that aren't deprecated and could disappear
> without a warning, though?  We used to use some knobs in the past,
> then one day we were told we should stop because those knobs will no
> longer be available.

There's a whole section in the glibc manual on "Memory Allocation
Tunables", which is the "new" way to do this.

"man mallopt" is the other way.

Using these you could, for example, disable the tcache and fastbins
completely and see how that works for you.  Or limit the number of
arenas.  Or let smaller allocations go directly to mmap().

There are some environment variables which affect malloc, but we're
trying to get rid of those.

Maybe in ten or twenty years we'll come up with some better way, but
that's the future's problem ;-)